Bug 615594 - SELinux is preventing /usr/sbin/dhcpd "name_bind" access.
SELinux is preventing /usr/sbin/dhcpd "name_bind" access.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:b555680d937...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-17 07:04 EDT by Catalin BOIE
Modified: 2010-07-19 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 05:08:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catalin BOIE 2010-07-17 07:04:46 EDT
Summary:

SELinux is preventing /usr/sbin/dhcpd "name_bind" access.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by dhcpd. It is not expected that this access is
required by dhcpd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:dhcpd_t:s0
Target Context                system_u:object_r:dhcpc_port_t:s0
Target Objects                None [ udp_socket ]
Source                        dhcpd
Source Path                   /usr/sbin/dhcpd
Port                          547
Host                          (removed)
Source RPM Packages           dhcp-4.1.0p1-17.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-69.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.9-174.fc12.i686.PAE
                              #1 SMP Mon Dec 21 06:04:56 UTC 2009 i686 athlon
Alert Count                   2
First Seen                    Thu 21 Jan 2010 09:04:09 AM EET
Last Seen                     Thu 21 Jan 2010 09:15:43 AM EET
Local ID                      5e789c6a-a8b7-4f47-b586-0c3eca7ad219
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1264058143.646:30053): avc:  denied  { name_bind } for  pid=14345 comm="dhcpd" src=547 scontext=unconfined_u:system_r:dhcpd_t:s0 tcontext=system_u:object_r:dhcpc_port_t:s0 tclass=udp_socket

node=(removed) type=SYSCALL msg=audit(1264058143.646:30053): arch=40000003 syscall=102 success=yes exit=0 a0=2 a1=bfb9a610 a2=8110a5c a3=bfb9a648 items=0 ppid=14344 pid=14345 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts2 ses=4940 comm="dhcpd" exe="/usr/sbin/dhcpd" subj=unconfined_u:system_r:dhcpd_t:s0 key=(null)



Hash String generated from  catchall,dhcpd,dhcpd_t,dhcpc_port_t,udp_socket,name_bind
audit2allow suggests:

#============= dhcpd_t ==============
allow dhcpd_t dhcpc_port_t:udp_socket name_bind;
Comment 1 Miroslav Grepl 2010-07-19 05:08:31 EDT
Please update your selinux-policy.


yum update selinux-policy-targeted

Note You need to log in before you can comment on or make changes to this bug.